Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.beans.factory.support
Class SimpleSecurityContextProvider

    java.lang.Object
      org.springframework.beans.factory.support.SimpleSecurityContextProvider

All Implemented Interfaces:
  SecurityContextProvider

    public class SimpleSecurityContextProvider

extends java.lang.Object
implements SecurityContextProvider

Simple `SecurityContextProvider` implementation.

Since:
  3.0
Author:
  Costin Leau

Constructor Summary
`SimpleSecurityContextProvider()` Construct a new `SimpleSecurityContextProvider` instance.
`SimpleSecurityContextProvider(java.security.AccessControlContext acc)` Construct a new `SimpleSecurityContextProvider` instance.

Method Summary
`java.security.AccessControlContext` | `getAccessControlContext()` Provides a security access control context relevant to a bean factory.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SimpleSecurityContextProvider

    public SimpleSecurityContextProvider()

  Construct a new `SimpleSecurityContextProvider` instance.

  The security context will be retrieved on each call from the current thread.

### SimpleSecurityContextProvider

    public SimpleSecurityContextProvider(java.security.AccessControlContext acc)

  Construct a new `SimpleSecurityContextProvider` instance.

  If the given control context is null, the security context will be retrieved on each call from the current thread.

  Parameters:
    `acc` - access control context (can be `null`)
  See Also:
    `AccessController.getContext()`

Method Detail

### getAccessControlContext

    public java.security.AccessControlContext getAccessControlContext()

  Description copied from interface: `SecurityContextProvider`
  Provides a security access control context relevant to a bean factory.

  Specified by:
    `getAccessControlContext` in interface `SecurityContextProvider`
  Returns:
    bean factory security control context

Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD